package com.nokia.finance.tasks.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.Configuration;

@Configuration
@ConfigurationProperties("job.config")
@Data
public class JobConfig {
    /**
     * copy脚本路径
     */
    private String copyScriptPath;
    /**
     * 导入的数据库ip
     */
    private String dbHost;
    /**
     * 数据库端口
     */
    private String dbPort;
    /**
     * 数据库账号
     */
    private String dbUsername;
    /**
     * 数据库密码
     */
    private String dbPassword;
    /**
     * 数据库名称
     */
    private String dbName;
    /**
     * 睿行车辆基本信息日数据路径
     */
    private String cljbxxSourcePath;
    /**
     * 睿行车辆基本信息日数据归档路径
     */
    private String cljbxxHistoryPath;
    /**
     * 睿行车辆越界报警日数据路径
     */
    private String yjbjrtjSourcePath;
    /**
     * 睿行车辆越界报警日数据归档路径
     */
    private String yjbjrtjHistoryPath;
    /**
     * 睿行车辆报废月数据路径
     */
    private String clbfSourcePath;
    /**
     * 睿行车辆报废月数据归档路径
     */
    private String clbfHistoryPath;
    /**
     * 睿行车辆行驶里程月数据路径
     */
    private String xslcytjSourcePath;
    /**
     * 睿行车辆行驶里程月数据归档路径
     */
    private String xslcytjHistoryPath;
    /**
     * 河北成本管理系统车辆燃油数据路径
     */
    private String carRanYouSourcePath;
    /**
     * 河北成本管理系统车辆燃油数据归档路径
     */
    private String carRanYouHistoryPath;
    /**
     * 河北成本管理系统车辆大额维修数据路径
     */
    private String carDaWeiXiuSourcePath;
    /**
     * 河北成本管理系统车辆大额维修数据归档路径
     */
    private String carDaWeiXiuHistoryPath;
    /**
     * 河北成本管理系统车辆普通维修数据路径
     */
    private String carWeiXiuSourcePath;
    /**
     * 河北成本管理系统车辆普通维修数据归档路径
     */
    private String carWeiXiuHistoryPath;
    /**
     * 河北成本管理系统车辆路桥数据路径
     */
    private String carLuQiaoSourcePath;
    /**
     * 河北成本管理系统车辆路桥数据归档路径
     */
    private String carLuQiaoHistoryPath;
    /**
     * 河北成本管理系统车辆保险数据路径
     */
    private String carBaoXianSourcePath;
    /**
     * 河北成本管理系统车辆保险数据归档路径
     */
    private String carBaoXianHistoryPath;
    /**
     * 河北成本管理系统车辆年检数据路径
     */
    private String carNianJianFeiSourcePath;
    /**
     * 河北成本管理系统车辆年检数据归档路径
     */
    private String carNianJianFeiHistoryPath;
    /**
     * 河北成本管理系统车辆其他费用数据路径
     */
    private String carQiTaSourcePath;
    /**
     * 河北成本管理系统车辆其他费用数据归档路径
     */
    private String carQiTaHistoryPath;
    /**
     * 河北成本管理系统自有类房产维修数据路径
     */
    private String houseBuildingRepairMonthSourcePath;
    /**
     * 河北成本管理系统自有类房产维修数据归档路径
     */
    private String houseBuildingRepairMonthHistoryPath;
}
