package com.nokia.finance.tasks.service;

import com.nokia.finance.tasks.common.R;
import com.nokia.finance.tasks.jobs.car.chengben.CarBaoXianJob;
import com.nokia.finance.tasks.jobs.car.chengben.CarDaWeiXiuJob;
import com.nokia.finance.tasks.jobs.car.chengben.CarLuQiaoJob;
import com.nokia.finance.tasks.jobs.car.chengben.CarNianJianFeiJob;
import com.nokia.finance.tasks.jobs.car.chengben.CarQiTaJob;
import com.nokia.finance.tasks.jobs.car.chengben.CarRanYouJob;
import com.nokia.finance.tasks.jobs.car.chengben.CarWeiXiuJob;
import com.nokia.finance.tasks.jobs.car.ruixing.ClbfJob;
import com.nokia.finance.tasks.jobs.car.ruixing.CljbxxJob;
import com.nokia.finance.tasks.jobs.car.ruixing.XslcytjJob;
import com.nokia.finance.tasks.jobs.car.ruixing.YjbjrtjJob;
import com.nokia.finance.tasks.jobs.house.chengben.HouseBuildingRepairMonthJob;
import com.nokia.finance.tasks.pojo.RunJobDto;
import org.springframework.stereotype.Service;

@Service
public class JobService {
    private final CljbxxJob cljbxxJob;
    private final YjbjrtjJob yjbjrtjJob;
    private final ClbfJob clbfJob;
    private final XslcytjJob xslcytjJob;
    private final CarRanYouJob carRanYouJob;
    private final CarDaWeiXiuJob carDaWeiXiuJob;
    private final CarWeiXiuJob carWeiXiuJob;
    private final CarLuQiaoJob carLuQiaoJob;
    private final CarBaoXianJob carBaoXianJob;
    private final CarNianJianFeiJob carNianJianFeiJob;
    private final CarQiTaJob carQiTaJob;
    private final HouseBuildingRepairMonthJob houseBuildingRepairMonthJob;

    public JobService(CljbxxJob cljbxxJob, YjbjrtjJob yjbjrtjJob, ClbfJob clbfJob, XslcytjJob xslcytjJob,
                      CarRanYouJob carRanYouJob, CarDaWeiXiuJob carDaWeiXiuJob, CarWeiXiuJob carWeiXiuJob,
                      CarLuQiaoJob carLuQiaoJob, CarBaoXianJob carBaoXianJob, CarNianJianFeiJob carNianJianFeiJob,
                      CarQiTaJob carQiTaJob, HouseBuildingRepairMonthJob houseBuildingRepairMonthJob) {
        this.cljbxxJob = cljbxxJob;
        this.yjbjrtjJob = yjbjrtjJob;
        this.clbfJob = clbfJob;
        this.xslcytjJob = xslcytjJob;
        this.carRanYouJob = carRanYouJob;
        this.carDaWeiXiuJob = carDaWeiXiuJob;
        this.carWeiXiuJob = carWeiXiuJob;
        this.carLuQiaoJob = carLuQiaoJob;
        this.carBaoXianJob = carBaoXianJob;
        this.carNianJianFeiJob = carNianJianFeiJob;
        this.carQiTaJob = carQiTaJob;
        this.houseBuildingRepairMonthJob = houseBuildingRepairMonthJob;
    }

    public R<Object> runJob(RunJobDto dto) {
        switch (dto.getJobName()) {
            case CLJBXX_JOB:
                cljbxxJob.runJob();
                break;
            case YJBJRTJ_JOB:
                yjbjrtjJob.runJob();
                break;
            case CLBF_JOB:
                clbfJob.runJob();
                break;
            case XSLCYTJ_JOB:
                xslcytjJob.runJob();
                break;
            case CAR_RAN_YOU_JOB:
                carRanYouJob.runJob();
                break;
            case CAR_DA_WEI_XIU_JOB:
                carDaWeiXiuJob.runJob();
                break;
            case CAR_WEI_XIU_JOB:
                carWeiXiuJob.runJob();
                break;
            case CAR_LU_QIAO_JOB:
                carLuQiaoJob.runJob();
                break;
            case CAR_BAO_XIAN_JOB:
                carBaoXianJob.runJob();
                break;
            case CAR_NIAN_JIAN_FEI_JOB:
                carNianJianFeiJob.runJob();
                break;
            case CAR_QI_TA_JOB:
                carQiTaJob.runJob();
                break;
            case HOUSE_BUILDING_REPAIR_MONTH_JOB:
                houseBuildingRepairMonthJob.runJob();
                break;
            default:
                break;
        }
        return R.ok();
    }
}
